PostgreSQL 7.2.1 Documentation
Prev |  | Next

# SPI_getrelname

## Name

SPI_getrelname -- Returns the name of the specified relation

## Synopsis

    SPI_getrelname(rel)

### Inputs

Relation `rel`

  Input relation

### Outputs

char *

  The name of the specified relation

## Description

`SPI_getrelname` returns the name of the specified relation.

## Algorithm

Returns a newly-allocated copy of the rel name. (Use pfree() to release the copy when done with it.)

Prev | Home | Next
SPI_gettypeid | Up | Memory Management